Subject: Re: bug#4240: 23.1.50; C-u doesn't work with Swedish characters

From: Kenichi Handa <[email-masked]>
Date: Thu, 27 Aug 2009 15:23:25 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

>>> > Please see bug#4037:
>>> > http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4037
>>> > I received no confirmation that my proposed fix is correct.
>>> I think those two lines are not necessary anymore and should be
>>> removed (together with the comments which explain their need).  I
>>> think they belong to the old pre-unicode days when raw eight-bit
>>> characters needed such special treatment.

> I believe you're right.  Nowadays, the keyboard-decoding should always
> take place before we get to that point.

Sorry for the late responce on this matter.  Yes, that
unibyte->multibyte conversion is not necessary.  I've just
installed a fix.

---
Kenichi Handa
[email-masked]